<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: schema.jsdoc</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: schema.jsdoc</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>/**
 * @typedef {Object} Query
 * @property {VENUES_CircuitMap} [circuitMap] - Retreive the default circuit for a track
 * @property {VENUES_VenueConnection} venues - Retreive motorsports venues
 * @property {VENUES_Venue} [venue] - Retreive the venue with the given ID or URLSlug
 * @property {EVENTS_EventFormatInfoConnection} eventFormats - Retreive motorsports events
 * @property {ORGANIZATIONS_OrganizationConnection} organizations - Retreive motorsports organizations
 * @property {ORGANIZATIONS_Organization} [organization] - Retreive the organzation with the given ID or URLSlug
 * @property {VENUES_Circuit} [defaultCircuit] - Retreive the default circuit for a track by ID or URLSlug
 * @property {VENUES_TrackConnection} tracks - Retreive motorsports tracks
 * @property {VENUES_Track} [track] - Retreive the track with the given ID or URLSlug
 * @property {VENUES_CircuitConnection} circuits - Retreive circuits for motorsports tracks
 * @property {VENUES_Circuit} [circuit] - Retreive the circuit with the given ID or URLSlug
 * @property {EVENTS_Stage} [stage] - Retreive the stage with the given ID
 * @property {EVENTS_EventConnection} events - Retreive motorsports events
 * @property {EVENTS_Event} [event] - Retreive the event with the given ID
 * @property {EVENTS_EventHostConnection} eventHosts - A list of event hosts
 * @property {SEO_Page} [seoForPage] - Retreive motorsports events
 * @property {INode} [node] - Retreive the node with the given ID
 */

/**
 * @typedef {Object} VENUES_CircuitMap
 * @description An SVG of a specific circuit of a race track
 * @property {string} id - The globally unique identifier for a graph object
 * @property {VENUES_CircuitMapSegmentConnection} straights - The segments of a track that are straight
 * @property {VENUES_CircuitMapSegmentConnection} turns - The segments of a track that are curves
 * @property {SVGViewBox} viewBox - The main SVG viewbox of the map
 * @property {SVGNormalizedViewBox} normalizedViewBox - A viewbox normalized to 1000px by 1000px
 */

/**
 * @typedef {Object} INode
 * @description An interface for the base type of all concrete graph objects
 * @property {string} id - The globally unique identifier for a graph object
 */

/**
 * @typedef {Object} VENUES_CircuitMapSegmentConnection
 * @description An CircuitMapSegment cursor pagination connection
 * @property {Array&lt;VENUES_CircuitMapSegmentEdge>} edges - The contents and metadata for each object within the page
 * @property {PageInfo} pageInfo - The metadata used for paging
 */

/**
 * @typedef {Object} VENUES_CircuitMapSegmentEdge
 * @description A CircuitMapSegment cursor pagination edge
 * @property {string} cursor - The cursor representing the location of `node` in the collection
 * @property {VENUES_CircuitMapSegment} node - The actual object in the collection being paged over
 */

/**
 * @typedef {Object} VENUES_CircuitMapSegment
 * @description An SVG of a specific circuit of a race track
 * @property {string} id - The globally unique identifier for a graph object
 * @property {string} [name] - The human-readable name of the segment
 * @property {string} path - The SVG path of the segment
 */

/**
 * @typedef {Object} PageInfo
 * @description A Relay cursor pagination info object
 * @property {string} [endCursor] - The cursor for the last edge in the current page
 * @property {boolean} hasNextPage - Defines if pages exist after the current one
 * @property {boolean} hasPreviousPage - Defines if pages exist before the current one
 * @property {string} [startCursor] - The cursor for the first edge in the current page
 */

/**
 * @typedef {Object} SVGViewBox
 * @description The SVG viewBox attribute
 * @property {number} xMax - The maxiumum X position of the view
 * @property {number} xMin - The minimum X position of the view
 * @property {number} yMax - The maxiumum Y position of the view
 * @property {number} yMin - The minimum Y position of the view
 */

/**
 * @typedef {Object} SVGNormalizedViewBox
 * @description An SVG viewBox normalized to some standard width and height
 * @property {SVGViewBox} dimensions - The normalized ViewBox
 * @property {SVGNormalizedViewBoxScale} scale - The scaling factors used to normalize the ViewBox
 */

/**
 * @typedef {Object} SVGNormalizedViewBoxScale
 * @description An SVG viewBox normalized to some standard width and height
 * @property {number} height - The scale factor required to normalize the height of the ViewBox.
 * @property {number} width - The scale factor required to normalize the width of the ViewBox.
 * @property {number} dimensionAverage - The averge of the height and width scale factors
 * @property {number} stroke - The scaling factor for strokes
 */

/**
 * @typedef {Object} VENUES_VenuesFilterInput
 * @description Parameters to limit the data returned by a query for venues
 * @property {Array&lt;string>} [isOneOf] - Limit the set of venues to those with the provided IDs
 */

/**
 * @typedef {Object} VENUES_VenueConnection
 * @description A Venue cursor pagination connection
 * @property {Array&lt;VENUES_VenueEdge>} edges - The contents and metadata for each object within the page
 * @property {PageInfo} pageInfo - The metadata used for paging
 */

/**
 * @typedef {Object} VENUES_VenueEdge
 * @description A Venue cursor pagination edge
 * @property {string} cursor - The cursor representing the location of `node` in the collection
 * @property {VENUES_Venue} node - The actual object in the collection being paged over
 */

/**
 * @typedef {Object} VENUES_Venue
 * @description The exact variant of a track
 * @property {string} id - The globally unique identifier for a graph object
 * @property {string} urlSlug - The type-unique identifier to be used in a URL
 * @property {string} [description] - A short description of the venue
 * @property {GeographicLocation} location - The exact location of the venue on Earth
 * @property {string} name - The name of the venue
 * @property {string} [nameAbbreviation] - The abbreviated version of the human-readable name
 * @property {VENUES_TrackConnection} tracks - The tracks at the venue
 */

/**
 * @typedef {Object} IURLSlug
 * @description An interface for graph objects which can be placed in a URL path or query
 * @property {string} urlSlug - The type-unique identifier to be used in a URL
 */

/**
 * @typedef {Object} GeographicLocation
 * @description An exact location on Earth
 * @property {string} id - The globally unique identifier for a graph object
 * @property {string} [city] - The city of the location
 * @property {string} [country] - The country of the location
 * @property {number} latitude - The latitude coordinate
 * @property {number} longitude - The longitude coordinate
 * @property {string} [region] - The region of the location, e.g. Michigan
 * @property {string} timezone - The timezone the of the location
 */

/**
 * @typedef {Object} VENUES_TrackConnection
 * @description A Track cursor pagination connection
 * @property {Array&lt;VENUES_TrackEdge>} edges - The contents and metadata for each object within the page
 * @property {PageInfo} pageInfo - The metadata used for paging
 */

/**
 * @typedef {Object} VENUES_TrackEdge
 * @description A Track cursor pagination edge
 * @property {string} cursor - The cursor representing the location of `node` in the collection
 * @property {VENUES_Track} node - The actual object in the collection being paged over
 */

/**
 * @typedef {Object} VENUES_Track
 * @description The exact variant of a track
 * @property {string} id - The globally unique identifier for a graph object
 * @property {string} urlSlug - The type-unique identifier to be used in a URL
 * @property {VENUES_CircuitConnection} circuits - The circuit variants of the track
 * @property {VENUES_Circuit} defaultCircuit - The default variant of a track
 * @property {GeographicLocation} location - The exact center point of the Track on Earth
 * @property {string} name - The human-readable name of the track
 * @property {string} [nameAbbreviation] - The abbreviated version of the human-readable name
 * @property {VENUES_Venue} venue - The venue for which the track is a variant of
 * @property {EVENTS_EventHostConnection} eventHosts - The unique set of hosts holding events at the track
 */

/**
 * @typedef {Object} VENUES_CircuitConnection
 * @description A Circuit cursor pagination connection
 * @property {Array&lt;VENUES_CircuitEdge>} edges - The contents and metadata for each object within the page
 * @property {PageInfo} pageInfo - The metadata used for paging
 */

/**
 * @typedef {Object} VENUES_CircuitEdge
 * @description A Circuit cursor pagination edge
 * @property {string} cursor - The cursor representing the location of `node` in the collection
 * @property {VENUES_Circuit} node - The actual object in the collection being paged over
 */

/**
 * @typedef {Object} VENUES_Circuit
 * @description The exact variant of a track
 * @property {string} id - The globally unique identifier for a graph object
 * @property {string} urlSlug - The type-unique identifier to be used in a URL
 * @property {VENUES_CircuitName} name - The full name of the circuit
 * @property {VENUES_CircuitMap} [map] - The SVG map of the circuit
 * @property {VENUES_Track} [track] - The track for which the circuit is a variant of
 */

/**
 * @typedef {Object} VENUES_CircuitName
 * @description The full name of a circuit
 * @property {string} track - The name of the circuits track
 * @property {string} circuit - The name of the circuit
 */

/**
 * @typedef {Object} EVENTS_EventHostConnection
 * @description An EventHost cursor pagination connection
 * @property {Array&lt;EVENTS_EventHostEdge>} edges - The contents and metadata for each object within the page
 * @property {PageInfo} pageInfo - The metadata used for paging
 */

/**
 * @typedef {Object} EVENTS_EventHostEdge
 * @description An EventHost cursor pagination edge
 * @property {string} cursor - The cursor representing the location of `node` in the collection
 * @property {EVENTS_EventHost} node - The actual object in the collection being paged over
 */

/**
 * @typedef {Object} EVENTS_EventHost
 * @description Information about the host of an event
 * @property {string} id - The globally unique identifier for a graph object
 * @property {ORGANIZATIONS_Organization} primary - The primary host of an event
 */

/**
 * @typedef {Object} ORGANIZATIONS_Organization
 * @description An entity which is participating in the event, e.g. driver, team, car, etc
 * @property {string} id - The globally unique identifier for a graph object
 * @property {string} name - The human-readable name
 * @property {string} nameAbbreviation - The abbreviated version of the human-readable name
 * @property {string} urlSlug - The type-unique identifier to be used in a URL
 * @property {ORGANIZATIONS_DivisionConnection} divisions - The divisions of the organization
 * @property {Logo} logo
 */

/**
 * @typedef {Object} IOrganization
 * @description The common set of fields for an organization that hosts events
 * @property {string} id - The globally unique identifier for a graph object
 * @property {string} name - The human-readable name
 * @property {string} nameAbbreviation - The abbreviated version of the human-readable name
 */

/**
 * @typedef {Object} ORGANIZATIONS_DivisionConnection
 * @description A Division cursor pagination connection
 * @property {Array&lt;ORGANIZATIONS_DivisionEdge>} edges - The contents and metadata for each object within the page
 * @property {PageInfo} pageInfo - The metadata used for paging
 */

/**
 * @typedef {Object} ORGANIZATIONS_DivisionEdge
 * @description A Division cursor pagination edge
 * @property {string} cursor - The cursor representing the location of `node` in the collection
 * @property {ORGANIZATIONS_Division} node - The actual object in the collection being paged over
 */

/**
 * @typedef {Object} ORGANIZATIONS_Division
 * @description An entity which is affiliated with and is a subset of an Organization
 * @property {string} id - The globally unique identifier for a graph object
 * @property {string} [name] - The human-readable name
 * @property {string} [nameAbbreviation] - The abbreviated version of the human-readable name
 */

/**
 * @typedef {Object} IOrganizationDivision
 * @description Common fields describing an entity which is affiliated with and is a subset of an Organization
 * @property {string} id - The globally unique identifier for a graph object
 * @property {string} [name] - The human-readable name
 * @property {string} [nameAbbreviation] - The abbreviated version of the human-readable name
 */

/**
 * @typedef {("PRIMARY"|"BADGE")} OrganizationLogoKind
 * @description Variants of an Organizations logo
 */

/**
 * @typedef {Object} Logo
 * @description An image represending a brand logo
 * @property {string} id - The globally unique identifier for a graph object
 * @property {string} data - The image data
 * @property {string} [extension] - The optional extension of a data URL
 * @property {string} mediaType - The optional media type of a data URL
 */

/**
 * @typedef {Object} EVENTS_EventFormatInfoConnection
 * @description An Event cursor pagination connection
 * @property {Array&lt;EVENTS_EventFormatInfoEdge>} edges - The contents and metadata for each object within the page
 * @property {PageInfo} pageInfo - The metadata used for paging
 */

/**
 * @typedef {Object} EVENTS_EventFormatInfoEdge
 * @description An Event cursor pagination edge
 * @property {string} cursor - The cursor representing the location of `node` in the collection
 * @property {EVENTS_EventFormatInfo} node - The actual object in the collection being paged over
 */

/**
 * @typedef {Object} EVENTS_EventFormatInfo
 * @description Information about the event format
 * @property {string} id - The globally unique identifier for a graph object
 * @property {string} urlSlug - The type-unique identifier to be used in a URL
 * @property {EVENTS_EventFormat} value - The enum value of the format
 * @property {string} name - The human-readable name
 * @property {string} nameAbbreviation - The abbreviated version of the human-readable name
 */

/**
 * @typedef {("HIGH_PERFORMANCE_DRIVER_EDUCATION"|"HILL_CLIMB"|"ROAD_RACE"|"TIME_TRIAL")} EVENTS_EventFormat
 * @description The format of a motorsports event, e.g. race, HPDE, etc
 */

/**
 * @typedef {Object} ORGANIZATIONS_OrganizationsFilterInput
 * @description Parameters to limit the data returned by a query for organizations
 * @property {string} [matchesQueryText] - Limit the set of orgs to those with any metadata that match the given query text
 */

/**
 * @typedef {Object} ORGANIZATIONS_OrganizationConnection
 * @description A Organization cursor pagination connection
 * @property {Array&lt;ORGANIZATIONS_OrganizationEdge>} edges - The contents and metadata for each object within the page
 * @property {PageInfo} pageInfo - The metadata used for paging
 */

/**
 * @typedef {Object} ORGANIZATIONS_OrganizationEdge
 * @description A Organization cursor pagination edge
 * @property {string} cursor - The cursor representing the location of `node` in the collection
 * @property {ORGANIZATIONS_Organization} node - The actual object in the collection being paged over
 */

/**
 * @typedef {Object} VENUES_TracksFilterInput
 * @description Parameters to limit the data returned by a query for tracks
 * @property {Array&lt;string>} [isAtOneOfVenues] - Limit the set of tracks to those at the venues with the provided IDs
 * @property {Array&lt;string>} [isOneOf] - Limit the set of tracks to those with the provided IDs
 * @property {string} [matchesQueryText] - Limit the set of tracks to those with any metadata that match the given query text
 */

/**
 * @typedef {Object} VENUES_CircuitsFilterInput
 * @description Parameters to limit the data returned by a query for circuits
 * @property {Array&lt;string>} [isAtOneOfTracks] - Limit the set of circuits to those at the tracks with the provided IDs
 * @property {Array&lt;string>} [isOneOf] - Limit the set of circuits to those with the provided IDs
 */

/**
 * @typedef {Object} EVENTS_Stage
 * @description Represents one part of an event, e.g. a single day or location
 * @property {string} id - The globally unique identifier for a graph object
 * @property {EVENTS_StageConfig} config - Configuration options for the stage
 * @property {EVENTS_SessionConnection} sessions - The collection of sessions for the stage
 * @property {Array&lt;EVENTS_RunGroupSessionSet>} sessionsByRunGroup - The collection of sessions for this stage grouped by run group
 * @property {EVENTS_SessionConnection} sessionsForRunGroup - The collection of sessions for this stage for a specific RunGroup
 * @property {EVENTS_EventLocation} location - The location this stage is at
 */

/**
 * @typedef {Object} EVENTS_StageConfig
 * @description Options, restrictions, and requirements specific to a single stage
 * @property {Array&lt;EVENTS_StageRunGroupsConfig>} runGroups - Configurations specific to each run group
 * @property {EVENTS_RunGroupStageConfig} [configForRunGroup] - Configurations specific to a run group
 */

/**
 * @typedef {Object} EVENTS_StageRunGroupsConfig
 * @description Options, restrictions, and requirements specific to a run group within a specific stage
 * @property {EVENTS_RunGroup} runGroup - The RunGroup the config applies to
 * @property {EVENTS_RunGroupStageConfig} config - The config that applies to the runGroup
 */

/**
 * @typedef {Object} EVENTS_RunGroup
 * @description Classification of an entrant by a relation, e.g. competitors, run group, car spec, etc
 * @property {string} id - The globally unique identifier for a graph object
 * @property {string} name - The human-readable name
 * @property {EVENTS_RunGroupColor} color - The color used to represent the group
 * @property {EVENTS_RunGroupConfig} config - RunGroup specific options, requirements, and restrictions
 */

/**
 * @typedef {("BLACK"|"WHITE"|"GREY"|"RED"|"ORANGE"|"YELLOW"|"GREEN"|"BLUE"|"INDIGO"|"VIOLET")} EVENTS_RunGroupColor
 * @description The color of the RunGroup
 */

/**
 * @typedef {Object} EVENTS_RunGroupConfig
 * @description Options, restrictions, and requirements specific to a RunGroup
 * @property {boolean} placeholder - Placeholder. Do no use. This will be removed at any time
 */

/**
 * @typedef {Object} EVENTS_RunGroupStageConfig
 * @description Options, restrictions, and requirements specific to a RunGroup
 * @property {VENUES_CircuitMapSegmentConnection} restrictedPassingZones - The segments of a circuit for which run groups may not pass others.
 */

/**
 * @typedef {Object} EVENTS_SessionConnection
 * @description A Session cursor pagination connection
 * @property {Array&lt;EVENTS_SessionEdge>} edges - The contents and metadata for each object within the page
 * @property {PageInfo} pageInfo - The metadata used for paging
 */

/**
 * @typedef {Object} EVENTS_SessionEdge
 * @description A Session cursor pagination edge
 * @property {string} cursor - The cursor representing the location of `node` in the collection
 * @property {EVENTS_Session} node - The actual object in the collection being paged over
 */

/**
 * @typedef {Object} EVENTS_Session
 * @property {string} id - The globally unique identifier for a graph object
 * @property {string} name - The name of the session
 * @property {Timestamp} startDate
 * @property {Timestamp} endDate
 * @property {Array&lt;EVENTS_RunGroup>} runGroups
 * @property {boolean} hasRunGroup
 */

/**
 * @typedef {*} Timestamp
 * @description The javascript `Date` as integer. Type represents date and time as number of milliseconds from start of UNIX epoch.
 */

/**
 * @typedef {Object} EVENTS_RunGroupSessionSet
 * @property {string} id - The globally unique identifier for a graph object
 * @property {EVENTS_SessionConnection} sessions
 * @property {EVENTS_RunGroup} runGroup - The run group that is participating in the sessions
 */

/**
 * @typedef {Object} EVENTS_EventLocation
 * @description The location of an event in terms of venue, track, and circuit
 * @property {VENUES_Venue} venue - The venue the event is at
 * @property {VENUES_Track} track - The track the event is at
 * @property {VENUES_Circuit} circuit - The circuit the event is at
 */

/**
 * @typedef {Object} EVENTS_EventsFilterInput
 * @description Parameters to limit the data returned by a query for events
 * @property {Array&lt;string>} [formatIsOneOf] - The event has at least one stage formatted as one of the limiting set of formats
 * @property {DateRangeInput} [startsWithinDateRange] - The event starts within this date range, inclusive.
 * @property {Array&lt;string>} [isAtOneOfVenues] - The event has at least one stage at the limiting set of Venues
 * @property {Array&lt;string>} [isAtOneOfTracks] - The event has at least one stage at the limiting set of Tracks
 * @property {Array&lt;string>} [isAtOneOfCircuits] - The event has at least one stage at the limiting set of Circuits
 * @property {Array&lt;string>} [isHostedByOneOf] - The event is hosted by at least one of the limiting set of Organizations
 */

/**
 * @typedef {Object} DateRangeInput
 * @description A range of time represented by timestamps
 * @property {Timestamp} [start] - The start timestamp of the range
 * @property {Timestamp} [end] - The end timestamp of the range.
 */

/**
 * @typedef {("FORMAT"|"ORGANIZER"|"VENUE"|"TRACK")} EVENTS_EventsGroupBy
 * @description Options for grouping events in queries
 */

/**
 * @typedef {("DATE_CLOSEST_FIRST"|"DATE_FURTHEST_FIRST")} EVENTS_EventsOrderBy
 * @description Options for ordering events in queries
 */

/**
 * @typedef {Object} EVENTS_EventConnection
 * @description An Event cursor pagination connection
 * @property {Array&lt;EVENTS_EventEdge>} edges - The contents and metadata for each object within the page
 * @property {PageInfo} pageInfo - The metadata used for paging
 */

/**
 * @typedef {Object} EVENTS_EventEdge
 * @description An Event cursor pagination edge
 * @property {string} cursor - The cursor representing the location of `node` in the collection
 * @property {EVENTS_Event} node - The actual object in the collection being paged over
 */

/**
 * @typedef {Object} EVENTS_Event
 * @description A motorsports event
 * @property {string} id - The globally unique identifier for a graph object
 * @property {string} urlSlug - The type-unique identifier to be used in a URL
 * @property {EVENTS_EventChronology} chronology - Information about the dates and times the event spans
 * @property {string} [name] - The human-readable name
 * @property {Array&lt;EVENTS_EventFormatInfo>} formats
 * @property {Array&lt;EVENTS_EventLocation>} locations
 * @property {boolean} hasLocations
 * @property {EVENTS_EventHost} host
 * @property {EVENTS_EventStageSetConnection} stageSets
 * @property {EVENTS_EventStageSet} [stageSet]
 * @property {EVENTS_EventStageSet} [stageSetForFormat]
 */

/**
 * @typedef {Object} EVENTS_EventChronology
 * @description A container for temporal information about an event
 * @property {Timestamp} [startDate] - The timestamp of the start
 * @property {Timestamp} [endDate] - The timestamp of the end
 * @property {Array&lt;Timestamp>} dates - The calendar dates the event spans
 */

/**
 * @typedef {Object} EVENTS_EventStageSetConnection
 * @description An EventStageSet cursor pagination connection
 * @property {Array&lt;EVENTS_EventStageSetEdge>} edges - The contents and metadata for each object within the page
 * @property {PageInfo} pageInfo - The metadata used for paging
 */

/**
 * @typedef {Object} EVENTS_EventStageSetEdge
 * @description An EventStageSet cursor pagination edge
 * @property {string} cursor - The cursor representing the location of `node` in the collection
 * @property {EVENTS_EventStageSet} node - The actual object in the collection being paged over
 */

/**
 * @typedef {Object} EVENTS_EventStageSet
 * @property {string} id - The globally unique identifier for a graph object
 * @property {EVENTS_EventStageSetConfig} config - Options, restrictions, and requirements that apply to all stages within the set
 * @property {EVENTS_EventFormatInfo} format - The format of the set of stages
 * @property {Array&lt;EVENTS_RunGroup>} runGroups - The run groups for the set of stages
 * @property {EVENTS_StageConnection} stages - The stages of the set
 * @property {number} stageCount - The number of stages in the set
 */

/**
 * @typedef {Object} EVENTS_EventStageSetConfig
 * @description Options, restrictions, and requirements specific to a set of stages
 * @property {boolean} enablePassingZones - Passing zones for RunGroups are enabled
 */

/**
 * @typedef {Object} EVENTS_StageConnection
 * @description A Stage cursor pagination connection
 * @property {Array&lt;EVENTS_StageEdge>} edges - The contents and metadata for each object within the page
 * @property {PageInfo} pageInfo - The metadata used for paging
 */

/**
 * @typedef {Object} EVENTS_StageEdge
 * @description A Stage cursor pagination edge
 * @property {string} cursor - The cursor representing the location of `node` in the collection
 * @property {EVENTS_Stage} node - The actual object in the collection being paged over
 */

/**
 * @typedef {Object} SEO_Page
 * @description SEO for a page on one of the Paddock Tech websites. Should only be used for search engine crawlers/indexers
 * @property {string} id - The globally unique identifier for a graph object
 * @property {string} canonicalURL - The canonical URL for the page
 * @property {string} [title] - The title of the page
 * @property {SEO_SocialMeta} socialMeta - The social media meta for rich link sharing
 */

/**
 * @typedef {Object} SEO_SocialMeta
 * @description Special social metadata for rich media when link sharing on social media
 * @property {SEO_FacebookMeta} facebook
 * @property {SEO_TwitterMeta} twitter
 * @property {SEO_OpenGraphMeta} openGraph
 */

/**
 * @typedef {Object} SEO_FacebookMeta
 * @description Facebook-specific OpenGraph fields (https://developers.facebook.com/docs/sharing/opengraph)
 * @property {string} [appID] - An identifier used for Facebook Insights
 */

/**
 * @typedef {Object} SEO_TwitterMeta
 * @description Twitter-specific meta fields for rich link sharing
 * @property {string} card - Must be set to a value of “summary”
 * @property {SEO_TwitterSiteUserMeta} [site] - The Twitter @username the card should be attributed to
 * @property {string} title - A concise title for the related content (&lt;70 characters). iOS, Android: Truncated to two lines in timeline and expanded Tweet. Web: Truncated to one line in timeline and expanded Tweet
 * @property {string} [description] - A description that concisely summarizes the content as appropriate for presentation within a Tweet (&lt;200 characters).
 * @property {SEO_TwitterImageMeta} [image] - A unique image representing the content of the page
 * @property {SEO_TwitterCreatorMeta} [creator] - User details of the content creator
 * @property {SEO_TwitterAVPlayerMeta} [avPlayer] - A player of video or audio content
 * @property {SEO_TwitterAppStoreMeta} [appStore] - Details to Apple/Google apps.
 */

/**
 * @typedef {Object} SEO_TwitterSiteUserMeta
 * @description User details of the site's Twitter account
 * @property {string} username - The Twitter @username the card should be attributed to
 * @property {string} userID - Same as twitter:site, but the user’s Twitter ID
 */

/**
 * @typedef {Object} SEO_TwitterImageMeta
 * @description An image representing the content of the page
 * @property {string} src - A URL to a unique image representing the content of the page
 * @property {string} alt - A text description of the image conveying the essential nature of an image to users who are visually impaired (&lt;420 characters)
 */

/**
 * @typedef {Object} SEO_TwitterCreatorMeta
 * @description User details of the content creator
 * @property {string} username - @username of content creator
 * @property {string} userID - Twitter user ID of content creator
 */

/**
 * @typedef {Object} SEO_TwitterAVPlayerMeta
 * @description A player of video or audio content
 * @property {string} url - HTTPS URL of player iframe
 * @property {string} width - Width of iframe in pixels
 * @property {string} height - Height of iframe in pixels
 * @property {string} [streamURL] - URL to raw video or audio stream
 */

/**
 * @typedef {Object} SEO_TwitterAppStoreMeta
 * @description User details of the content creator
 * @property {SEO_TwitterAppleAppStoreMeta} [apple] - Links to Apple's AppStore apps
 * @property {SEO_TwitterGooglePlayStoreMeta} [google] - Links to Google's PlayStore apps
 */

/**
 * @typedef {Object} SEO_TwitterAppleAppStoreMeta
 * @description User details of the content creator
 * @property {SEO_TwitterAppMeta} [iphone] - iPhone app
 * @property {SEO_TwitterAppMeta} [ipad] - iPad app
 */

/**
 * @typedef {Object} SEO_TwitterAppMeta
 * @description An app in some sort of app store
 * @property {string} appID - The ID of the app in the app store
 * @property {string} name - Name of the app
 * @property {string} urlScheme - The app’s custom URL scheme
 */

/**
 * @typedef {Object} SEO_TwitterGooglePlayStoreMeta
 * @description User details of the content creator
 * @property {SEO_TwitterAppMeta} [android] - Android app
 */

/**
 * @typedef {Object} SEO_OpenGraphMeta
 * @description OpenGraph metadata fields (http://ogp.me)
 * @property {string} [title] - The title of your object as it should appear within the graph (60-70 characters)
 * @property {string} [type] - The type of your object, e.g., "video.movie"
 * @property {string} [image] - An image URL which should represent your object within the graph
 * @property {string} [canonicalURL] - The canonical URL of your object that will be used as its permanent ID in the graph
 * @property {string} [description] - A one to two sentence (&lt;155 characters) description of the object
 * @property {string} siteName - If your object is part of a larger web site, the name which should be displayed for the overall site. e.g., "IMDb"
 */

/**
 * @typedef {Object} ACCOUNTS_Account
 * @description The base type which identifies a user account
 * @property {string} id - The globally unique identifier for a graph object
 * @property {string} email - The relation which classifies the entrant
 */

/**
 * @typedef {Object} ACCOUNTS_IAccount
 * @description The common set of fields for a participating event entity
 * @property {string} id - The globally unique identifier for a graph object
 * @property {string} email - The relation which classifies the entrant
 */

/**
 * @typedef {Object} ACCOUNTS_OrganizationDivision
 * @description An entity which is affiliated with and is a subset of an Organization
 * @property {string} id - The globally unique identifier for a graph object
 * @property {string} [name] - The human-readable name
 * @property {string} [nameAbbreviation] - The abbreviated version of the human-readable name
 */

/**
 * @typedef {Object} ACCOUNTS_OrganizationDivisionEdge
 * @description A Division cursor pagination edge
 * @property {string} cursor - The cursor representing the location of `node` in the collection
 * @property {ACCOUNTS_OrganizationDivision} node - The actual object in the collection being paged over
 */

/**
 * @typedef {Object} ACCOUNTS_OrganizationDivisionConnection
 * @description A Division cursor pagination connection
 * @property {Array&lt;ACCOUNTS_OrganizationDivisionEdge>} edges - The contents and metadata for each object within the page
 * @property {PageInfo} pageInfo - The metadata used for paging
 */

/**
 * @typedef {Object} ACCOUNTS_Organization
 * @description An account for a motorsports Organization
 * @property {string} id - The globally unique identifier for a graph object
 * @property {string} name - The human-readable name
 * @property {string} nameAbbreviation - The abbreviated version of the human-readable name
 * @property {string} email - The relation which classifies the entrant
 * @property {ACCOUNTS_OrganizationDivisionConnection} divisions - The divisions of the organization
 */

/**
 * @typedef {Object} ACCOUNTS_Person
 * @description An account for a regular ol Human
 * @property {string} id - The globally unique identifier for a graph object
 * @property {string} email - The relation which classifies the entrant
 */

/**
 * @typedef {Object} ACCOUNTS_Driver
 * @description A Person account for someone that drives on track at a motorsports event
 * @property {string} id - The globally unique identifier for a graph object
 * @property {string} email - The relation which classifies the entrant
 */

/**
 * @typedef {Object} ACCOUNTS_Instructor
 * @description A Person account for a motorsports instructor or coach
 * @property {string} id - The globally unique identifier for a graph object
 * @property {string} email - The relation which classifies the entrant
 */

/**
 * @typedef {Object} ACCOUNTS_Staff
 * @description A Person account for a staff member of an organization, team, etc
 * @property {string} id - The globally unique identifier for a graph object
 * @property {string} email - The relation which classifies the entrant
 */

/**
 * @typedef {Object} ACCOUNTS_Team
 * @description An account for a motorsports team
 * @property {string} id - The globally unique identifier for a graph object
 * @property {string} email - The relation which classifies the entrant
 */

/**
 * @typedef {Object} EVENTS_RunGroupSessionSetEdge
 * @description A SessionSet cursor pagination edge
 * @property {string} cursor - The cursor representing the location of `node` in the collection
 * @property {EVENTS_RunGroupSessionSet} node - The actual object in the collection being paged over
 */

/**
 * @typedef {Object} EVENTS_RunGroupSessionSetConnection
 * @description A SessionSet cursor pagination connection
 * @property {Array&lt;EVENTS_RunGroupSessionSetEdge>} edges - The contents and metadata for each object within the page
 * @property {PageInfo} pageInfo - The metadata used for paging
 */

/**
 * @typedef {Object} EVENTS_EventHostFilterInput
 * @description Parameters to limit the data returned by a query for event hosts
 * @property {Array&lt;string>} [isAtOneOfTracks] - The event host has at least one event at the limiting set of Tracks
 */</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3><a href="global.html">Global</a></h3>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.4</a> on Tue Jun 30 2020 12:42:13 GMT-0400 (Eastern Daylight Time)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
